Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.utah.janosvm.kit.comm.jsi
Interface JSIProvider

All Known Implementing Classes:
  TCPProvider

public interface JSIProvider

Interface for objects that can provide access to JSI enabled applications.

Method Summary
`void` | `detach()` Detach from whatever rendezvous point is in use.
`void` | `handle(JSIConnectionHandler jch)` The main loop of the provider.

Method Detail

### detach

    public void detach()

  Detach from whatever rendezvous point is in use.

### handle

    public void handle(JSIConnectionHandler jch)

  The main loop of the provider. Any connections it receives will be handed off to the JSIConnectionHandler.
  Parameters:
    `jch` - The handler to call when a new connection is received.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002